#
# spec file for package libkate
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2010 SUSE Dominique Leuenberger, Amsterdam, Netherlands
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%{!?python_sitelib:  %global python_sitelib  %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

Name:           libkate
Version:        0.3.8
Release:        6.7
License:        BSD3c ; Other uncritical OpenSource License
Summary:        A karaoke and text codec for embedding in Ogg
Url:            http://libkate.googlecode.com
Group:          Productivity/Multimedia/Other
Source:         %{name}-%{version}.tar.bz2
BuildRequires:  doxygen
BuildRequires:  fdupes
BuildRequires:  libogg-devel
BuildRequires:  libpng-devel
BuildRequires:  pkg-config
BuildRequires:  python-base
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Kate is a codec for karaoke and text encapsulation for Ogg. Most of the
time, this would be multiplexed with audio/video to carry subtitles,
song lyrics (with or without karaoke data), etc, but doesn't have to be
A possible use of a lone Kate stream would be an e-book. Moreover, the
motion feature gives Kate a powerful means to describe arbitrary curves,
so hand drawing of shapes can be achieved.

This was originally meant for karaoke use, but can be used for any
purpose. Motions can be attached to various semantics, like position,
color, etc, so scrolling or fading text can be defined.

%package -n %{name}1
License:        BSD3c ; Other uncritical OpenSource License
Summary:        A karaoke and text codec for embedding in Ogg
Group:          System/Libraries

%description -n %{name}1
Kate is a codec for karaoke and text encapsulation for Ogg. Most of the
time, this would be multiplexed with audio/video to carry subtitles,
song lyrics (with or without karaoke data), etc, but doesn't have to be
A possible use of a lone Kate stream would be an e-book. Moreover, the
motion feature gives Kate a powerful means to describe arbitrary curves,
so hand drawing of shapes can be achieved.

This was originally meant for karaoke use, but can be used for any
purpose. Motions can be attached to various semantics, like position,
color, etc, so scrolling or fading text can be defined.

%package devel
License:        BSD3c ; Other uncritical OpenSource License
Summary:        A karaoke and text codec for embedding in Ogg - Development Files
Group:          Development/Libraries/C and C++
Requires:       %{name}1 = %{version}
Requires:       libogg-devel
Requires:       glibc-devel

%description devel
Kate is a codec for karaoke and text encapsulation for Ogg. Most of the
time, this would be multiplexed with audio/video to carry subtitles,
song lyrics (with or without karaoke data), etc, but doesn't have to be
A possible use of a lone Kate stream would be an e-book. Moreover, the
motion feature gives Kate a powerful means to describe arbitrary curves,
so hand drawing of shapes can be achieved.

This was originally meant for karaoke use, but can be used for any
purpose. Motions can be attached to various semantics, like position,
color, etc, so scrolling or fading text can be defined.

This package contains files for developers.

%package tools
License:        BSD3c ; Other uncritical OpenSource License
Summary:        A karaoke and text codec for embedding in Ogg
Group:          Productivity/Multimedia/Other

%description tools
Kate is a codec for karaoke and text encapsulation for Ogg. Most of the
time, this would be multiplexed with audio/video to carry subtitles,
song lyrics (with or without karaoke data), etc, but doesn't have to be
A possible use of a lone Kate stream would be an e-book. Moreover, the
motion feature gives Kate a powerful means to describe arbitrary curves,
so hand drawing of shapes can be achieved.

This was originally meant for karaoke use, but can be used for any
purpose. Motions can be attached to various semantics, like position,
color, etc, so scrolling or fading text can be defined.

%package -n katedj
License:        BSD3c ; Other uncritical OpenSource License
Summary:        Editor and remixer for Kate streams in Ogg
Group:          Productivity/Multimedia/Other
Requires:       %{name}-tools = %{version}
Requires:       python-wxWidgets
Requires:       %{_bindir}/oggz-merge
Requires:       %{_bindir}/oggz-rip
%py_requires
Recommends:     %{_bindir}/oggz-known-codecs
%if %{?suse_version} >= 1130
BuildArch:      noarch
%endif

%description -n katedj
KateDJ allows extracting Kate tracks embedded in an Ogg stream, editing
them, and rebuilding the Ogg stream after the Kate tracks are modified.

%prep
%setup -q

%build
%configure \
        --disable-static
%__make %{_smp_mflags}

%install
%makeinstall
find %{buildroot} -type f -name "*.la" -delete -print
# Remove files that we install with %doc
rm -rf %{buildroot}%{_datadir}/doc/%{name}/{AUTHORS,COPYING,ChangeLog,README,THANKS,html}
%fdupes %{buildroot}%{python_sitelib}/kdj

%check
make check

%post -n %{name}1 -p /sbin/ldconfig

%postun -n %{name}1 -p /sbin/ldconfig

%files -n %{name}1
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README THANKS
%{_libdir}/%{name}.so.*
%{_libdir}/liboggkate.so.*

%files devel
%defattr(-, root, root)
%doc doc/html/
%{_includedir}/kate/
%{_libdir}/%{name}.so
%{_libdir}/liboggkate.so
%{_libdir}/pkgconfig/kate.pc
%{_libdir}/pkgconfig/oggkate.pc

%files tools
%defattr(-, root, root)
%{_bindir}/katedec
%{_bindir}/kateenc
%{_bindir}/katalyzer
%{_mandir}/man1/katalyzer.1*
%{_mandir}/man1/katedec.1*
%{_mandir}/man1/kateenc.1*

%files -n katedj
%defattr(-, root, root)
%{_bindir}/KateDJ
%{_mandir}/man1/KateDJ.1*
%{python_sitelib}/kdj/

%changelog
* Wed Dec 29 2010 sbrabec@suse.cz
- Updated python-wxWidgets name.
* Thu Dec  9 2010 cristian.rodriguez@opensuse.org
- run make check
- fix -devel package dependencies
* Mon Sep 27 2010 dominique-vlc.suse@leuenberger.net
- katedj can only be noarch on openSUSE >= 1130. RPM in older
  versions does not support mixed arch packages.
* Sun Sep 26 2010 dimstar@opensuse.org
- Fix build on openSUSE 11.1 by defining the python_site* macros.
* Fri Sep 24 2010 reddwarf@opensuse.org
- Make katedj noarch.
- Add Requires for various oggz tools to katedj.
- Use fdupes.
* Tue Sep 21 2010 vuntz@opensuse.org
- Add python-base BuildRequires to build KateDJ, and create a
  katedj subpackage.
- Rename kate-utils to libkate-tools.
- Install the API documentation at a more standard place.
* Tue Sep 21 2010 dimstar@opensuse.org
- Clean up spec file for Factory inclusion.
* Wed Sep  8 2010 dimstar@opensuse.org
- Update to version 0.3.8:
  + various build fixes
  + KateDJ can now decode to LRC and SRT formats
  + add a missing check for memory allocation failure
  + fix a bug in SRT output when decoding more than one stream at a
    time
  + flush output so live encoding/decoding is possible without
    delay
  + katalyzer improvements in page/hole tracking
  + tools now recognize long options --help and --version
  + kateenc now adds an ENCODER comment by default
- Drop kate-png14.patch, upstream included.
* Tue Apr 20 2010 dimstar@opensuse.org
- Update to 0.3.7:
  + new encoding functions to specify timing in granule rate units
  + fix SRT timing precision problems
  + new -M option to kateenc to allow HTML-like markup in SRT files
  + allow the last event in an SRT file to not be followed by an
    empty line
- Added kate-png14.patch to fix build with libpng 1.4.
* Mon Aug 31 2009 dimstar@opensuse.org
- Update to 0.3.4
  + fix canvas size encoding/decoding on big endian hosts
* Sat May 30 2009 dimstar@opensuse.org
- Update to 0.3.3
  + recognize old oggz tools names in configure
  + remove unnecessary shebangs from python source
- Update to 0.3.2
  + increased robustness against corrupt/malicious streams
  + misc build and compatibility tweaks
  + fix py-compile invokation and older oggz tools names
